Package org.kapott.hbci.manager

# Class HBCIDialog

java.lang.Object
org.kapott.hbci.manager.HBCIDialog

public final class HBCIDialog extends Object

## Constructor Summary

Constructors
Constructor
Description
`HBCIDialog(HBCIHandler parentHandler)`

## Method Summary

Modifier and Type
Method
Description
`void`
`addTask(HBCIJobImpl job)`
`HBCIDialogStatus`
`doIt()`
führt einen kompletten dialog mit allen zu diesem dialog gehoerenden nachrichten/tasks aus.
`String`
`getDialogID()`
`HBCIMessageQueue`
`getMessageQueue()`
Liefert die Nachrichten-Queue des Dialogs.
`String`
`getMsgNum()`
`HBCIHandler`
`getParentHandler()`
`void`
`newMsg()`
Erzeugt explizit eine neue Message.
`void`
`nextMsgNum()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### HBCIDialog

public HBCIDialog(HBCIHandler parentHandler)

## Method Details

### getParentHandler

public HBCIHandler getParentHandler()

### doIt

public HBCIDialogStatus doIt()
führt einen kompletten dialog mit allen zu diesem dialog gehoerenden nachrichten/tasks aus. bricht diese methode mit einer exception ab, so muessen alle nachrichten bzw. tasks, die noch nicht ausgeführt wurden, von der aufrufenden methode neu erzeugt werden

### getDialogID

public String getDialogID()

### getMsgNum

public String getMsgNum()

### nextMsgNum

public void nextMsgNum()

### addTask

public void addTask(HBCIJobImpl job)

### getMessageQueue

public HBCIMessageQueue getMessageQueue()
Liefert die Nachrichten-Queue des Dialogs.

Returns:
  die Nachrichten-Queue des Dialogs.

### newMsg

public void newMsg()
Erzeugt explizit eine neue Message.